Features Pricing Regions Support Start free Log in FR

Get a boost

Retrieve a single boost by ID.

GET /v1/boosts/{id}

Requires scope: boosts:read

Path parameters

ParameterTypeRequiredDescription
id integer Required Boost ID.

Example request

curl https://api.cache-boost.com/v1/boosts/15 \
  -H "Authorization: Bearer cb_live_YOUR_KEY"

Response

Returns 200 OK with the full boost object.

{
  "id": 15,
  "site_id": 42,
  "name": "Daily warm",
  "status": "pending",
  "source_type": "sitemap",
  "region": ["fr"],
  "sitemap_ids": [7],
  "variations": null,
  "content_types": null,
  "report_email_enabled": true,
  "schedule": "0 1 * * *",
  "next_run_at": "2025-01-16T01:00:00Z",
  "call_limit": null,
  "created_at": "2025-01-15T10:30:00Z"
}

Errors

CodeDescription
401Missing or invalid API key.
403Insufficient scope or access denied.
404Boost not found.